Skip to Content
inclamoDocs

Inbox details

GET
/public/api/v1/inboxes/{inbox_identifier}

Get the details of an inbox

Path Parameters

inbox_identifier*string

The identifier obtained from API inbox channel

Response Body

Success

application/json
  1. response
identifier?string

Inbox identifier

name?string

Name of the inbox

timezone?string

The timezone defined on the inbox

working_hours?array<>

The working hours defined on the inbox

working_hours_enabled?boolean

Whether of not the working hours are enabled on the inbox

csat_survey_enabled?boolean

Whether of not the Customer Satisfaction survey is enabled on the inbox

greeting_enabled?boolean

Whether of not the Greeting Message is enabled on the inbox

identity_validation_enabled?boolean

Whether of not the User Identity Validation is enforced on the inbox

Example Request
curl -X GET 'https://helpdesk.inclamo.com/public/api/v1/inboxes/string'
Example Response
{  "identifier": "string",  "name": "string",  "timezone": "string",  "working_hours": [    {      "day_of_week": 0,      "open_all_day": true,      "closed_all_day": true,      "open_hour": 0,      "open_minutes": 0,      "close_hour": 0,      "close_minutes": 0    }  ],  "working_hours_enabled": true,  "csat_survey_enabled": true,  "greeting_enabled": true,  "identity_validation_enabled": true}